<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Generics</TITLE>
<link href="suif1_92.html" rel=Next>
<link href="suif1_90.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_90.html">previous</A>, <A HREF="suif1_92.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC91" HREF="suif1_toc.html#TOC91">Generic Data Structures</A></H1>
<P>
<A NAME="IDX652"></A>
<A NAME="IDX653"></A>

</P>
<P>
The SUIF library includes a number of generic data structure classes.
Some of these are used extensively by the library itself, while others
are only provided for your convenience.  Since most of these data
structures are quite easy to understand, this section only gives a brief
description of each one and points out the unusual and potentially
confusing features.

</P>

<UL>
<LI><A HREF="suif1_92.html#SEC92">Generic Lists</A>: Generic lists (base list class).
<LI><A HREF="suif1_93.html#SEC93">Move-to-front Lists</A>: Move-to-front lists.
<LI><A HREF="suif1_94.html#SEC94">Association Lists</A>: Lists with search keys.
<LI><A HREF="suif1_95.html#SEC95">Doubly-Linked Lists</A>: Doubly-linked lists.
<LI><A HREF="suif1_96.html#SEC96">Bit Vectors</A>: Bit vectors.
<LI><A HREF="suif1_97.html#SEC97">Hash Tables</A>: Hash tables.
<LI><A HREF="suif1_98.html#SEC98">Extensible Arrays</A>: Variable-size arrays.
</UL>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_90.html">previous</A>, <A HREF="suif1_92.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
